---
title: Patch Argo Smart Routing setting
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Argo](https://developers.cloudflare.com/api/go/resources/argo)

[Smart Routing](https://developers.cloudflare.com/api/go/resources/argo/subresources/smart_routing)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Patch Argo Smart Routing setting

client.Argo.SmartRouting.Edit(ctx, params) (\*[SmartRoutingEditResponse](<https://developers.cloudflare.com/api/go/resources/argo#(resource)%20argo.smart_routing%20%3E%20(model)%20SmartRoutingEditResponse%20%3E%20(schema)>), error)

PATCH/zones/{zone\_id}/argo/smart\_routing

Configures the value of the Argo Smart Routing enablement setting.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Zone Settings Write`

##### ParametersExpand Collapse

<details>

<summary>

params SmartRoutingEditParams

</summary>

ZoneID param.Field\[string]

Path param: Specifies the zone associated with the API call.

maxLength32

<a href="#(resource)%20argo.smart_routing%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

<details>

<summary>

Value param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/argo/subresources/smart_routing/methods/edit#(resource)%20argo.smart_routing%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20value%20%3E%20(schema)">SmartRoutingEditParamsValue</a>]

Body param: Specifies the enablement value of Argo Smart Routing.

</summary>

const SmartRoutingEditParamsValueOn <a href="https://developers.cloudflare.com/api/go/resources/argo/subresources/smart_routing/methods/edit#(resource)%20argo.smart_routing%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20value%20%3E%20(schema)">SmartRoutingEditParamsValue</a> = "on"

<a href="#(resource)%20argo.smart_routing%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20value%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const SmartRoutingEditParamsValueOff <a href="https://developers.cloudflare.com/api/go/resources/argo/subresources/smart_routing/methods/edit#(resource)%20argo.smart_routing%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20value%20%3E%20(schema)">SmartRoutingEditParamsValue</a> = "off"

<a href="#(resource)%20argo.smart_routing%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20value%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20argo.smart_routing%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20value">Link to this property</a>

</details>

[Link to this property](<#(resource)%20argo.smart_routing%20%3E%20(method)%20edit%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type SmartRoutingEditResponse struct{…}

</summary>

ID string

Specifies the identifier of the Argo Smart Routing setting.

<a href="#(resource)%20argo.smart_routing%20%3E%20(model)%20SmartRoutingEditResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

Editable bool

Specifies if the setting is editable.

<a href="#(resource)%20argo.smart_routing%20%3E%20(model)%20SmartRoutingEditResponse%20%3E%20(schema)%20%3E%20(property)%20editable">Link to this property</a>

<details>

<summary>

Value SmartRoutingEditResponseValue

Specifies the enablement value of Argo Smart Routing.

</summary>

One of the following:

const SmartRoutingEditResponseValueOn SmartRoutingEditResponseValue = "on"

<a href="#(resource)%20argo.smart_routing%20%3E%20(model)%20SmartRoutingEditResponse%20%3E%20(schema)%20%3E%20(property)%20value%20%3E%20(member)%200">Link to this property</a>

const SmartRoutingEditResponseValueOff SmartRoutingEditResponseValue = "off"

<a href="#(resource)%20argo.smart_routing%20%3E%20(model)%20SmartRoutingEditResponse%20%3E%20(schema)%20%3E%20(property)%20value%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20argo.smart_routing%20%3E%20(model)%20SmartRoutingEditResponse%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

ModifiedOn TimeOptional

Specifies the time when the setting was last modified.

formatdate-time

<a href="#(resource)%20argo.smart_routing%20%3E%20(model)%20SmartRoutingEditResponse%20%3E%20(schema)%20%3E%20(property)%20modified_on">Link to this property</a>

</details>

[Link to this property](<#(resource)%20argo.smart_routing%20%3E%20(model)%20SmartRoutingEditResponse%20%3E%20(schema)>)

### Patch Argo Smart Routing setting

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/argo"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.Argo.SmartRouting.Edit(context.TODO(), argo.SmartRoutingEditParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    Value: cloudflare.F(argo.SmartRoutingEditParamsValueOn),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.ID)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "id",
    "editable": true,
    "value": "on",
    "modified_on": "2019-12-27T18:11:19.117Z"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "id",
    "editable": true,
    "value": "on",
    "modified_on": "2019-12-27T18:11:19.117Z"
  },
  "success": true
}
```